VTK: vtkSMPMergePolyDataHelper::InputData Struct Reference

| VTK 9.3.1

Public Member Functions | Public Attributes | List of all members
vtkSMPMergePolyDataHelper::InputData Struct Reference

This is the data structure needed by the MergePolyData function. More...

`#include <vtkSMPMergePolyDataHelper.h>`

Collaboration diagram for vtkSMPMergePolyDataHelper::InputData:
[legend]

## Public Member Functions
| InputData (vtkPolyData *input, vtkSMPMergePoints *locator, vtkIdList *vertCellOffsets, vtkIdList *vertConnOffsets, vtkIdList *lineCellOffsets, vtkIdList *lineConnOffsets, vtkIdList *polyCellOffsets, vtkIdList *polyConnOffsets)

## Public Attributes
vtkPolyData * | Input
vtkSMPMergePoints * | Locator
vtkIdList * | VertCellOffsets
vtkIdList * | VertConnOffsets
vtkIdList * | LineCellOffsets
vtkIdList * | LineConnOffsets
vtkIdList * | PolyCellOffsets
vtkIdList * | PolyConnOffsets

## Detailed Description

This is the data structure needed by the MergePolyData function.

Each input is represented by a polydata (Input), a locator generated using identical binning structure (Locator) and offset structures for each vtkCellArray type. These offsets allow semi-random access to the cell arrays. They should store offsets to where cells start in the cell arrays. Each offset can be for 1 or more cells. The finer the granularity, the better the parallelism.

Definition at line 37 of file vtkSMPMergePolyDataHelper.h.

## Constructor & Destructor Documentation

## ◆ InputData()

vtkSMPMergePolyDataHelper::InputData::InputData | ( | vtkPolyData * | input,
|  | vtkSMPMergePoints * | locator,
|  | vtkIdList * | vertCellOffsets,
|  | vtkIdList * | vertConnOffsets,
|  | vtkIdList * | lineCellOffsets,
|  | vtkIdList * | lineConnOffsets,
|  | vtkIdList * | polyCellOffsets,
|  | vtkIdList * | polyConnOffsets
| ) |  |
| inline

Definition at line 49 of file vtkSMPMergePolyDataHelper.h.

## Member Data Documentation

## ◆ Input

vtkPolyData* vtkSMPMergePolyDataHelper::InputData::Input

Definition at line 39 of file vtkSMPMergePolyDataHelper.h.

## ◆ Locator

vtkSMPMergePoints* vtkSMPMergePolyDataHelper::InputData::Locator

Definition at line 40 of file vtkSMPMergePolyDataHelper.h.

## ◆ VertCellOffsets

vtkIdList* vtkSMPMergePolyDataHelper::InputData::VertCellOffsets

Definition at line 41 of file vtkSMPMergePolyDataHelper.h.

## ◆ VertConnOffsets

vtkIdList* vtkSMPMergePolyDataHelper::InputData::VertConnOffsets

Definition at line 42 of file vtkSMPMergePolyDataHelper.h.

## ◆ LineCellOffsets

vtkIdList* vtkSMPMergePolyDataHelper::InputData::LineCellOffsets

Definition at line 43 of file vtkSMPMergePolyDataHelper.h.

## ◆ LineConnOffsets

vtkIdList* vtkSMPMergePolyDataHelper::InputData::LineConnOffsets

Definition at line 44 of file vtkSMPMergePolyDataHelper.h.

## ◆ PolyCellOffsets

vtkIdList* vtkSMPMergePolyDataHelper::InputData::PolyCellOffsets

Definition at line 45 of file vtkSMPMergePolyDataHelper.h.

## ◆ PolyConnOffsets

vtkIdList* vtkSMPMergePolyDataHelper::InputData::PolyConnOffsets

Definition at line 46 of file vtkSMPMergePolyDataHelper.h.

The documentation for this struct was generated from the following file:

- Filters/SMP/vtkSMPMergePolyDataHelper.h